<?

namespace Shop\Repositories;

use Core\Repository\CrudInterface;
use Core\Repository\PropelQueryAbstract;
use Shop\Models\DiscountRule\DiscountRule as DiscountRuleEntity;
use Shop\Models\DiscountRule\DiscountRuleQuery;


/**
 * Description of DiscountRule
 *
 * @author Admin
 */
class DiscountRule extends PropelQueryAbstract implements CrudInterface{

    public function buildQuery(){
	return DiscountRuleQuery ::create();
    }

    public function buildEntity(){
	return new DiscountRuleEntity;
    }
   
}
